/**
 * 
 */
package org.springblade.visual.dto;

import java.io.Serializable;
import java.util.Set;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author wookvn
 *
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CubePermParseDto implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 在预览报表时候，动态解析的片段条件SQL
	 */
	private String filterSql;

	/**
	 * 数据集权限组 - 过滤的列ID列表
	 */
	private Set<Integer> excludeColumnIdList;

}
